
public class Ball {
  public float x,y;
  public float dx,dy;
  float radius = 30;
  color c = color(255,0,0);
  
  public Ball() { 
      x = radius + 1;
      y = random(30,height-30);
      dx = random(1,3); 
      dy = random(1,2);
  }
  
  boolean hitLeft()   { return x < radius; }
  boolean hitRight()  { return x + radius > width; }
  boolean hitTop()    { return y < radius; }
  boolean hitBottom() { return y + radius > height; }
  
  void reverseX() { dx=-dx; }
  void reverseY() { dy=-dy; }
  
  void update() {
    x += dx;
    y += dy;
  }
  
  void draw() {
    fill(c);
    ellipse(x,y,radius,radius);
  } 
}